Bug 718416 - qvfb subpackage in Fedora.
qvfb subpackage in Fedora.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-02 12:44 EDT by Ivan Romanov
Modified: 2011-08-11 19:26 EDT (History)
8 users (show)

See Also:
Fixed In Version: qt-4.7.3-8.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-08 21:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file diff (1.41 KB, patch)
2011-07-02 12:44 EDT, Ivan Romanov
no flags Details | Diff
spec file diff version 2 (1.74 KB, patch)
2011-07-03 04:40 EDT, Ivan Romanov
no flags Details | Diff

  None (edit)
Description Ivan Romanov 2011-07-02 12:44:00 EDT
Created attachment 511001 [details]
spec file diff

Hello.

Could you provide qvfb subpackage? I develop for embedded Linux and use qvfb application for startup embedded apps on my desktop computer. I'd like to see it subpackge in Fedora. I made patch for it. Have a look at attachments.
Comment 1 Kevin Kofler 2011-07-02 20:55:37 EDT
Your specfile patch doesn't handle the qvfb translations.
Comment 2 Ivan Romanov 2011-07-03 04:40:06 EDT
Created attachment 511033 [details]
spec file diff version 2
Comment 3 Kevin Kofler 2011-07-03 08:32:48 EDT
That's not sufficient. (Does this even build? I'd expect it to give "unpackaged file" errors.)

We need to add a:
%find_lang qvfb --with-qt --without-mo
line and then use:
%files qvfb -f qvfb.lang
Comment 4 Ivan Romanov 2011-07-03 08:50:34 EDT
Oh. It's very hard to me rebuild package. On my machine it doing about 4 hours or more. Upload to koji is about 1 hour.
Comment 5 Rex Dieter 2011-07-05 09:14:48 EDT
patch applied to rawhide, will adapt to < f16's qt-4.7.x shortly.
Comment 6 Rex Dieter 2011-07-11 16:04:05 EDT
qt/f15 git branch updated.
Comment 7 Fedora Update System 2011-07-23 20:35:02 EDT
qt-4.7.3-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/qt-4.7.3-8.fc15
Comment 8 Fedora Update System 2011-07-25 10:59:25 EDT
qt-4.7.3-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/qt-4.7.3-8.fc14
Comment 9 Fedora Update System 2011-07-25 23:45:22 EDT
Package qt-4.7.3-8.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt-4.7.3-8.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/qt-4.7.3-8.fc15
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2011-08-08 21:34:25 EDT
qt-4.7.3-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-08-11 19:26:58 EDT
qt-4.7.3-8.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.